Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.realm
Class PortalRealmFactory

    java.lang.Object
      |
      +--com.bea.p13n.security.realm.PortalRealmFactory

public class PortalRealmFactory
extends java.lang.Object

Field Summary
`static java.lang.String` | `PORTAL_GROUP_AWARE_REALM_INTERFACE`
`static java.lang.String` | `PORTAL_RDBMS_REALM_INTERFACE`
`static java.lang.String` | `PORTAL_SEARCHABLE_REALM_INTERFACE`

Constructor Summary
`PortalRealmFactory()`

Method Summary
`static PortalGroupAwareRealm` | `getPortalGroupAwareRealmInstance()` Returns an instance of the security realm, as long as it is a PortalGroupAwareRealm.
`static PortalSearchableRealm` | `getPortalSearchableRealmInstance()` Returns an instance of the security realm, as long as it is a PortalSearchableRealm.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PORTAL_RDBMS_REALM_INTERFACE

    public static final java.lang.String PORTAL_RDBMS_REALM_INTERFACE

### PORTAL_SEARCHABLE_REALM_INTERFACE

    public static final java.lang.String PORTAL_SEARCHABLE_REALM_INTERFACE

### PORTAL_GROUP_AWARE_REALM_INTERFACE

    public static final java.lang.String PORTAL_GROUP_AWARE_REALM_INTERFACE

Constructor Detail

### PortalRealmFactory

    public PortalRealmFactory()

Method Detail

### getPortalSearchableRealmInstance

    public static PortalSearchableRealm getPortalSearchableRealmInstance()

  Returns an instance of the security realm, as long as it is a PortalSearchableRealm. This is done so that a single instance can be maintained. This is desirable because each RDBMSRealm instance has its own pool of RDBMSDelegates (essentially its own pool of JDBC connections)

  Returns:
    an instance of the security realm. If the security realm is not a PortalSearchableRealm then returns null.

### getPortalGroupAwareRealmInstance

    public static PortalGroupAwareRealm getPortalGroupAwareRealmInstance()

  Returns an instance of the security realm, as long as it is a PortalGroupAwareRealm. This is done so that a single instance can be maintained. This is desirable because each RDBMSRealm instance has its own pool of RDBMSDelegates (essentially its own pool of JDBC connections)

  Returns:
    an instance of the security realm. If the security realm is not a PortalGroupAwareRealm then returns null.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved